#include <thrust/iterator/transform_iterator.h>
#include <thrust/reduce.h>
#include <thrust/device_vector.h>
#include <cstdio>
using namespace thrust;

int main(){
	device_vector<int> vec(3);

	vec[0] = 10;
	vec[1] = 20;
	vec[2] = 30;

	int ans = reduce(make_transform_iterator(vec.begin(), negate<int>()),
			         make_transform_iterator(vec.end(), negate<int>()));
	printf("%d\n", ans);
	return 0;
}

